#include <bits/stdc++.h>

using namespace std;

int n,q;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    cin>>n;
    vector<int> a(n);
    for(int& num : a)
        cin>>num;
    cin>>q;
    while(q--)
    {
        int l,r;
        cin>>l>>r;
        if(l==r)
        {
            cout<<"DA"<<'\n';
            continue;
        }
        int len=r-l+1;
        vector<int> dp(len,1);
        int maks=1;
        for(int i=1; i<len; ++i)
            for(int j=0; j<i; ++j)
                if(a[i+l-1]>=a[j+l-1])
                {
                    dp[i]=max(dp[i],dp[j]+1);
                    maks=max(maks,dp[i]);
                }
        if(len-1==maks || len==maks)
            cout<<"DA"<<'\n';
        else
            cout<<"NE"<<'\n';
    }

    return 0;


}